#include <stdio.h>
#include <string.h>
#include <stdlib.h>

void f(char *x, int n) {
	memset(x, '\0', n);
}

void g(char *y, int n) {
	return f(y, n);
}

int main(void) {
	char *a = strdup("aaa");
	g(a, sizeof(a)+1);
	printf("%p\n", &a);
	free(a);
	return 0;
}
